# BuildEventsListenerRegistry

interface BuildEventsListenerRegistry

Allows a plugin to receive information about the operations that run within a build.

An instance of this registry can be injected into tasks, plugins and other objects by annotating a public constructor or property getter method with `javax.inject.Inject`.

#### Since

6.1

## Functions

onTaskCompletion
Link copied to clipboard
abstract fun onTaskCompletion(listenerProvider: Provider<out OperationCompletionListener>)
Subscribes the listener provided by `listenerProvider` to the finish events for tasks, if not already subscribed.